Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2021-01-26 19:342021-04-16 07:47
ReporterlbressanView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045790: Add the options parameter in the tab OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic

DescriptionAdd the options parameter in the tab

OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic

This is already passed as a parameter in other tabs like
OB.OBPOSPointOfSale.UI.ButtonTabScan
OB.OBPOSPointOfSale.UI.ButtonTabCart

It is comfortable because it allows you to make controls before opening the tab
Steps To ReproduceAdd the options parameter in the tab

OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic

This is already passed as a parameter in other tabs like
OB.OBPOSPointOfSale.UI.ButtonTabScan
OB.OBPOSPointOfSale.UI.ButtonTabCart

It is comfortable because it allows you to make controls before opening the tab
Proposed SolutionSee attach
TagsNo tags attached.
Attached Filesdiff file icon toolbar-right.diff [^] (760 bytes) 2021-01-26 19:34 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127080)
hgbot (developer)
2021-04-02 15:50

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/364 [^]
(0127084)
hgbot (developer)
2021-04-05 07:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/364 [^]
(0127085)
hgbot (developer)
2021-04-05 07:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 41cd0c4806ca07c21a30a2ce91f1e7f96b52f2a7
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-04-05T05:10:11+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/41cd0c4806ca07c21a30a2ce91f1e7f96b52f2a7 [^]

Fixed BUG-45790: Added the options parameter in the tab OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0127105)
hgbot (developer)
2021-04-06 12:51

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 4b387e4ac81bb53594797342fe100e585ab279bf
Author: Gorka Gil <gorka.gil@openbravo.com>
Date: 2021-04-06T12:50:26+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/4b387e4ac81bb53594797342fe100e585ab279bf [^]

Revert "Fixed BUG-45790: Added the options parameter in the tab OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic"

This reverts commit 41cd0c4806ca07c21a30a2ce91f1e7f96b52f2a7.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0127107)
hgbot (developer)
2021-04-06 12:54

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 97d1667178466e56624c1ac1826b000dbb7eef60
Author: Gorka Gil <gorka.gil@openbravo.com>
Date: 2021-04-06T12:52:36+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/97d1667178466e56624c1ac1826b000dbb7eef60 [^]

Revert "Fixed BUG-45790: Added the options parameter in the tab OB.OBPOSPointOfSale.UI.ButtonTabSearchCharacteristic"

This reverts commit 41cd0c4806ca07c21a30a2ce91f1e7f96b52f2a7.

It breaks the search

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0127108)
marvintm (developer)
2021-04-06 13:08

Fix has been reverted as it was breaking integration

- Issue History
Date Modified Username Field Change
2021-01-26 19:34 lbressan New Issue
2021-01-26 19:34 lbressan Assigned To => Retail
2021-01-26 19:34 lbressan File Added: toolbar-right.diff
2021-01-26 19:34 lbressan Regression date => 2021-03-31
2021-01-26 19:34 lbressan Triggers an Emergency Pack => No
2021-01-26 21:45 Practics Issue Monitored: Practics
2021-01-28 19:13 rqueralta Assigned To Retail => rqueralta
2021-01-28 19:13 rqueralta Status new => scheduled
2021-04-02 15:50 hgbot Note Added: 0127080
2021-04-05 07:10 hgbot Resolution open => fixed
2021-04-05 07:10 hgbot Status scheduled => closed
2021-04-05 07:10 hgbot Note Added: 0127084
2021-04-05 07:10 hgbot Fixed in Version => RR21Q2
2021-04-05 07:10 hgbot Note Added: 0127085
2021-04-06 12:51 hgbot Fixed in Version RR21Q2 => RR21Q3
2021-04-06 12:51 hgbot Note Added: 0127105
2021-04-06 12:54 hgbot Fixed in Version RR21Q3 => RR21Q2
2021-04-06 12:54 hgbot Note Added: 0127107
2021-04-06 13:08 marvintm Note Added: 0127108
2021-04-06 13:08 marvintm Status closed => new
2021-04-06 13:08 marvintm Resolution fixed => open
2021-04-06 13:08 marvintm Fixed in Version RR21Q2 =>
2021-04-16 07:47 marvintm Regression date 2021-03-31 =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker